/**
Theme Name: Robintek Child Theme
Author: Robintek
Author URI: https://robintek.com/
Description: Robintek Child Theme
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: robintek-child-theme
Template: astra
*/


/*==== FONTS ========================================================================================*/

@import url("https://use.typekit.net/psg2bvk.css");

body {
    font-family: "din-2014", sans-serif;
}
h1, h2, h3, h4, h5, h6 {
    font-family: "klavika-web", sans-serif;
}
.uabb-adv-accordion-content a,
.fl-rich-text a,
p a {
    font-weight: 600!important;
    text-decoration: underline!important;
}


/*==== HEADER =======================================================================================*/

.header-widget-area {
    position: relative;
    width: 170px;
}
.widget_gtranslate {
    position: absolute;
    top: -12px;
    left: 0;
}
.astra-megamenu .menu-item-heading > a.menu-link:hover {
    text-decoration: none;
}
.astra-megamenu .menu-item-heading .sub-menu a:hover {
    text-decoration: underline;
}
.astra-megamenu .menu-item-heading > a.menu-link {
    padding-bottom: 10px!important;
}
h1.ast-advanced-headers-title {
    margin-bottom: 0;
}
.ast-title-bar-wrap {
    background-image: url(/wp-content/uploads/2026/04/bg-pattern-subhdr.png);
    background-position: right;
    background-repeat: no-repeat;
}
.ast-title-bar-wrap .ast-title-bar-align-center {
    padding-right: 250px;
}
.ast-title-bar-wrap .ast-advanced-headers-title,
.ast-title-bar-wrap .ast-advanced-headers-breadcrumb {
    text-align: left;
}
.ast-desktop .ast-mega-menu-enabled .row-mega-menu .fl-row-content-wrap {
    background-color: transparent!important;
}
.ast-desktop .ast-mega-menu-enabled .astra-megamenu-li.megamenu-active .astra-megamenu, 
.ast-desktop .ast-mega-menu-enabled .astra-megamenu-li:not([data-megamenu-trigger=click]):hover .astra-megamenu {
    padding: 0!important;
}
.box-mega-menu-links a:hover .menu-item-text {
    text-decoration: underline!important;
}
.box-mega-menu-links {
    padding: 10px 20px 20px 0;
}
.box-mega-menu-hdr {
    text-decoration: none!important;
}
.box-mega-menu-hdr a:hover {
    color: #fff!important;
}
.box-mega-menu-links .mnu-hdr a {
    padding: 0!important;
}
.box-mega-menu-links .mnu-hdr .menu-item-text {
    color: var(--ast-global-color-1)!important;
    font-size: 18px;
    padding-bottom: 10px;
}
.box-mega-menu-links .mnu-hdr a:hover .menu-item-text {
    color: #fff!important;
}
.box-mega-menu-links .sub-menu {
    border: none!important;
}
.box-mega-menu-links .uabb-active > .uabb-has-submenu-container a .menu-item-text  .uabb-menu-toggle:before {
    content: '\f068'!important;
}
.ast-desktop .ast-mega-menu-enabled .astra-megamenu-li.megamenu-active .astra-megamenu .sub-menu, 
.ast-desktop .ast-mega-menu-enabled .astra-megamenu-li:not([data-megamenu-trigger=click]):hover .astra-megamenu .sub-menu {
    display: none;
}
.box-mega-menu-links .uabb-creative-menu-expanded ul.sub-menu li a, 
.box-mega-menu-links .uabb-creative-menu-accordion ul.sub-menu li a, 
.box-mega-menu-links .uabb-creative-menu-accordion ul.sub-menu li .uabb-has-submenu-container a, 
.box-mega-menu-links .uabb-creative-menu-expanded ul.sub-menu li .uabb-has-submenu-container a {
    text-indent: 0;
    padding-left: 10px;
}
.box-mega-menu-links .uabb-has-submenu-container a span.uabb-menu-toggle {
    padding-right: 25px;
}

/*==== FOOTER =======================================================================================*/

.site-below-footer-wrap[data-section="section-below-footer-builder"] .ast-builder-grid-row {
    padding: 0!important;
    margin: 0!important;
}
.site-below-footer-wrap {
    background-image: url(/wp-content/uploads/2026/04/bg-bottom-pattern.png)!important;
    background-position: bottom right;
    background-repeat: no-repeat;
    background-color: #6ebe49!important;
    height: 60px;
}
.site-footer h2.widget-title {
    border-bottom: 3px solid var(--ast-global-color-0);
    padding-bottom: 10px;
}

/*==== HOME PAGE ====================================================================================*/

.col-featured-icon h3.uabb-infobox-title {
    text-transform: uppercase;
    font-weight: 600;
}
.pum-theme-default-theme .pum-content a {
    color: #fff;
}
.pum-theme-default-theme .pum-content a:hover,
.pum-theme-default-theme .pum-content a:focus {
    color: var(--ast-global-color-1);
}
.box-post-carousel h2.fl-post-carousel-title a {
    text-decoration: none!important;
}
.box-post-carousel .bx-wrapper .bx-pager.bx-default-pager button {
    background-color: #fff;
    opacity: 0.7;
}
.box-post-carousel .bx-wrapper .bx-pager.bx-default-pager button.active {
    opacity: 1;
}

/*==== CHAMPION Landing Page =========================================================================*/

.box-program-hdr {
    color: #fff!important;
    margin: 0!important;
    padding: 20px;
    background-image: url(/wp-content/uploads/2026/05/free-corner.png);
    background-position: top right;
    background-repeat: no-repeat;
}
.hdr-program-orange {
    background-color: #f58220
}
.hdr-program-blue {
    background-color: #00a0dd
}
.hdr-program-green {
    background-color: #6fc04a
}
.col-program-option .fl-col-content {
    transition: transform 0.3s ease-in-out;
}
.col-program-option:hover .fl-col-content {
    box-shadow: 0px 0px 20px 3px rgba(0, 0, 0, 0.7);
    transform: scale(1.05);
}
.col-overlap-top {
    margin-top: -100px;
}

/*==== CUSTOM =======================================================================================*/

.col-tilt-right {
    clip-path: polygon(0 0, 100% 0%, 90% 100%, 0% 100%);
}
.col-tilt-right .fl-col-content {
    padding-right: 70px;
}
.box-big-links .fl-module-content {
    box-shadow: 0 0 20px rgba(0,0,0,0.3);
    background-color: #fff;
}
.box-big-links .uabb-infobox-title-wrap {
    padding: 20px;
}
.box-big-links .uabb-infobox-title {
    position: relative;
    padding-right: 50px;
}
.box-big-links .uabb-infobox-title:after {
    content: "\f0da";
    font-size: 48px;
    position: absolute;
    right: 0;
    top: 0;
    font-family: "Font Awesome 6 Pro";
}
.arrow-green .uabb-infobox-title:after {
    color: #007940;
}
.arrow-blue .uabb-infobox-title:after {
    color: #00a0dd;
}
.arrow-orange .uabb-infobox-title:after {
    color: #f58220;
}
.arrow-purple .uabb-infobox-title:after {
    color: #640082;
}
.col-overlap-bottom {
    position: relative;
    bottom: -80px;
    z-index: 2;
}
.box-accordion-menu {
    position: relative;
    height: 80px;
}
.box-accordion-menu .fl-module-content {
    position: absolute; 
    width: 95%;
    top: -20px;
    z-index: 2;
}
.box-accordion-menu .fl-module-content .uabb-creative-menu:hover {
    cursor: pointer;
}
.ast-article-post .post-thumb-img-content,
.box-614-business-listings .uabb-post-thumbnail,
.box-featured-posts .uabb-post-thumbnail {
    height: 230px;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
}
.box-614-business-listings .uabb-post-thumbnail a,
.box-featured-posts .uabb-post-thumbnail a,
.ast-article-post .post-thumb-img-content > a {
    width: 100%;
}
.box-subpage-menu {
    background-color: var(--ast-global-color-5);
    -webkit-border-radius: 15px;
    -moz-border-radius: 15px;
    border-radius: 15px;
    background-image: url(/wp-content/uploads/2026/04/bg-vert-pattern.png);
    background-repeat: repeat-y;
    background-position: left;
    padding-left: 20px;
    margin-left: 20px;
    margin: 20px;
}
.box-subpage-menu .mnu-hdr {
    text-transform: uppercase;
    font-weight: 600;
    font-size: 24px
}
.box-subpage-menu .sub-menu {
    border: none!important;
}
.box-subpage-menu .uabb-active > .uabb-has-submenu-container a .menu-item-text  .uabb-menu-toggle:before {
    content: '\f068'!important;
}
.box-subpage-menu .uabb-creative-menu-expanded ul.sub-menu li a, 
.box-subpage-menu .uabb-creative-menu-accordion ul.sub-menu li a, 
.box-subpage-menu .uabb-creative-menu-accordion ul.sub-menu li .uabb-has-submenu-container a, 
.box-subpage-menu .uabb-creative-menu-expanded ul.sub-menu li .uabb-has-submenu-container a {
    text-indent: 0;
    padding-left: 20px;
    text-decoration: none;
}
.box-calendar-lists .tribe-events-widget-events-list__view-more {
    display: none;
}
.box-calendar-lists h3.tribe-events-widget-events-list__event-title {
    font-size: 20px;
}
.tribe-events-calendar-list__event,
.tribe-events-calendar-latest-past__event {
    width: 100%;
}
.ast-separate-container #primary {
    margin-top:40px;
}
.fl-builder-edit .box-featured-calendars,
.fl-builder-edit .box-calendar-cat {
    max-height: 400px;
    overflow: hidden;
}
.box-calendar-cat .tribe-common-l-container {
    padding: 0!important;
}
.box-featured-calendars .tribe-events-widget-events-month {
    padding: 0!important;
}
.box-featured-calendars .tribe-common.tribe-events.tribe-events-widget.tribe-events-view--shortcode.tribe-events-widget-events-month .tribe-events-calendar-month__day {
    height: 40px;
}
.box-featured-slider .fl-slide-text ul {
    padding-left: 20px!important;
}
.box-featured-slider {
    padding: 0 20px;
}
.box-featured-slider .fl-content-slider-navigation .slider-prev {
    left: -20px;
}
.box-featured-slider .fl-content-slider-navigation .slider-next {
    right: -20px;
}
.box-featured-slider .bx-pager.bx-default-pager a, 
.box-featured-slider .bx-pager.bx-default-pager button {
    background-color: var(--ast-global-color-2);
}
.box-featured-slider .bx-pager.bx-default-pager button.active {
    background-color: var(--ast-global-color-1);
}
.box-tbl-rates table th {
    background-color: var(--ast-global-color-2);
    color: #fff;
    text-align: left;
}
.box-tbl-rates table tr:nth-child(even) {
  background-color: #f6f5f3;
}
.box-tbl-rates table tr:nth-child(odd) {
  background-color: #ffffff;
}
.popmake-content p:last-child {
    margin-bottom: 0!important;
}

/*==== 614 Businesses ================================================================================*/

/*
.single-614-business .ast-title-bar-wrap,
.tax-614-business-category .ast-title-bar-wrap {
    background-color: #6ebe49;
}
*/

.tax-614-business-category .ast-article-post .post-thumb-img-content > a {
    width: auto;
}
.col-614-bus-content .fl-module-content p:last-child {
    margin-bottom: 0;
}
.box-spotlight-link .uabb-image .uabb-photo-img {
    -webkit-border-top-left-radius: 15px;
    -webkit-border-top-right-radius: 15px;
    -moz-border-radius-topleft: 15px;
    -moz-border-radius-topright: 15px;
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
}
.box-spotlight-link .uabb-module-content {
    -webkit-border-radius: 15px;
    -moz-border-radius: 15px;
    border-radius: 15px;
    box-shadow: 0 4px 1px rgba(197, 197, 197, 0.2);
}
.box-spotlight-link .uabb-infobox-title-wrap,
.box-spotlight-link .uabb-infobox-text-wrap {
    padding: 0 20px 10px 20px;
}
.box-spotlight-link .uabb-infobox {
    min-height: 440px;
}
.business-directory-feed {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}
.bus-dir-bg-worthington {
    background-image: url("/wp-content/uploads/2026/04/2025-Worthington-45-MT.jpg");
}
.bus-dir-bg-guardian {
    background-image: url("/wp-content/uploads/2026/04/Crew-Carrying-Pad-Item.webp");
}
.bus-dir-bg-virtue {
    background-image: url("/wp-content/uploads/2026/04/3a9a6fa3-cb53-48a9-badb-dba228e285df.jpg");
}
.bus-dir-bg-florin {
    background-image: url("/wp-content/uploads/2026/04/304e8d92-adc2-4c62-bfeb-ed9a59356788.jpg");
}
.bus-dir-bg-highcom {
    background-image: url("/wp-content/uploads/2026/04/High-com.jpg");
}
a.bus-dir-link {
    display: flex;
    align-items: center;
    justify-content: center;
    background-repeat: no-repeat;
    background-size: cover;
    min-height: 250px;
    text-align: center;
    text-decoration: none;
    text-shadow: 0 0 20px rgba(0,0,0,0.7);
    -webkit-border-radius: 15px;
    -moz-border-radius: 15px;
    border-radius: 15px;
    text-decoration: none!important;
    position: relative;
}
a.bus-dir-link::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); 
    z-index: 1; 
    -webkit-border-radius: 15px;
    -moz-border-radius: 15px;
    border-radius: 15px;
    transition: all .2s linear;
}
.bus-dir-wrap:hover a.bus-dir-link::after{
    background-color: rgba(0, 0, 0, 0.3); 
}
.bus-dir-wrap {
    position: relative; 
    width: calc((100% - 40px) / 3);
}
.bus-dir-content {
    z-index: 2;
}
.bus-dir-hdr {
    font-size: 24px;
    color: #fff;
    font-weight: 700;
    display: block;
}
.bus-dir-date {
    color: #fff;
    font-weight: 400;
}
.bus-dir-badges {
    display: block;
    position: absolute;
    bottom: 10px;
    left: 0;
    width: 100%;
    text-align: center;
}
.bus-dir-badges img {
    max-width: 50px;
    height: auto;
    margin: 2px;
}
.banner-font-big {
    font-size: 64px!important;
    text-transform: uppercase;
    display: block;
}

/*==== FORMS ========================================================================================*/

#box-form,
#box-form legend,
#box-form .gform_wrapper .top_label .gfield_label {
    line-height: 1.6;
}
#box-form input {
    margin-bottom: 0!important;
}

/*==== MEDIA QUERIES ================================================================================*/


@media (max-width:1600px){
    .ast-title-bar-wrap {
        background-position: right -200px center;
    }
}
@media (max-width:1200px){
    .ast-title-bar-wrap {
        background-position: right -400px center;
    }
}
@media (max-width:921px){
    .site-below-footer-wrap {
        background-position: bottom left;
    }
    .site-branding {
        margin-top: -30px;
    }
    .site-above-footer-wrap .ast-builder-footer-grid-columns {
        grid-template-columns: 1fr!important;
    }
    .site-above-footer-wrap .site-footer-section {
        padding-bottom: 40px;
    }
    .site-above-footer-wrap .footer-widget-area-inner {
        text-align: center!important;
        display: flex!important;
        justify-content: center;
        align-items: center;
    }
    .site-footer h2.widget-title {
        max-width: 360px;
    }
    .col-tilt-right .fl-col-content {
        padding-right: 50px;
    }
    .ast-title-bar-wrap {
        background-image: none;
    }
    .ast-title-bar-wrap .ast-title-bar-align-center {
        padding-right: 0;
    }
    .ast-title-bar-wrap .ast-advanced-headers-title,
    .ast-title-bar-wrap .ast-advanced-headers-breadcrumb {
        text-align: center;
    }
    .ast-builder-menu-mobile .main-navigation .main-header-menu .sub-menu {
        background-color: var(--ast-global-color-2)!important;
    }
    .box-mega-menu-links .uabb-creative-menu .menu {
        text-align: left;
    }
    .col-mega-menu {
        max-width: 100%!important;
        width: 100%!important;
        padding: 0 20px;
    }
    .box-post-carousel .fl-post-carousel-text {
        padding: 10px;
    }
}

@media (max-width:768px){
    .ast-header-break-point #masthead .ast-mobile-header-wrap .ast-primary-header-bar, 
    .ast-header-break-point #masthead .ast-mobile-header-wrap .ast-below-header-bar, 
    .ast-header-break-point #masthead .ast-mobile-header-wrap .ast-above-header-bar {
        padding-left: 10px;
        padding-right: 5px;
    }
    .col-tilt-right {
        clip-path: none;
    }
    .col-overlap-bottom {
        position: relative;
        bottom: 0;
    }
    .col-tilt-right .fl-col-content {
        padding-right: 0;
    }
    .row-intro .fl-col-group {
        display: -webkit-flex;
        display: flex;
        -webkit-flex-wrap: wrap-reverse;
        flex-wrap: wrap-reverse;
        flex-direction: row-reverse;
    }
    .col-sub-icon {
        margin-bottom: 20px;
    }
    .box-spotlight-link .uabb-infobox {
        min-height: none;
    }
    .col-calendar-lists,
    .col-events-carousel,
    .col-news-hdr,
    .col-news-btn {
        max-width: 100%!important;
        width: 100%!important;
    }
}

@media (max-width: 544px){
	.col-big-box-links {
        max-width: 100%!important;
        width: 100%!important;
    }
    .row-champ-banner .fl-row-content-wrap {
        background-position: left;
    }
}
